Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.apf
Class APFEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.JimiSingleImageRasterEncoder
                  |
                  +--com.sun.jimi.core.encoder.apf.APFEncoder

public class APFEncoder
extends JimiSingleImageRasterEncoder

Encoder implementation for Activated Pseudo-Format (APF)

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`APFEncoder()`

Method Summary
`void` | `doEncodeImage(JimiRasterImage rasterImage, java.io.OutputStream output)` Take a JimiImage and encode it.
`protected void` | `writeHeader(JimiRasterImage rasterImage, java.io.DataOutputStream output)`
`protected void` | `writeImageData(JimiRasterImage rasterImage, java.io.DataOutputStream output)`

Methods inherited from class com.sun.jimi.core.JimiSingleImageRasterEncoder
`encodeImage, encodeImage, encodeImages, encodeImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### APFEncoder

    public APFEncoder()

Method Detail

### doEncodeImage

    public void doEncodeImage(JimiRasterImage rasterImage,
                              java.io.OutputStream output)
                       throws JimiException,
                              java.io.IOException

  Take a JimiImage and encode it.
  Overrides:
    doEncodeImage in class JimiSingleImageRasterEncoder

### writeHeader

    protected void writeHeader(JimiRasterImage rasterImage,
                               java.io.DataOutputStream output)
                        throws JimiException,
                               java.io.IOException

### writeImageData

    protected void writeImageData(JimiRasterImage rasterImage,
                                  java.io.DataOutputStream output)
                           throws JimiException,
                                  java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD